<?php

namespace ArtistPress_Utilities;

/**
*   
*   Exit if accessed directly
*
*/	
if( !defined('ABSPATH')){
	exit;
}


class Upgrader
{
    /**
     * The unique identifier for this plugin.
     * 
     * @since 1.2.2
     * @access protected
     * @var string $plugin_name
     * 
     */
    protected $plugin_name;
    
    /**
     * The current version of ArtistPress.
     * 
     * @since 1.2.2
     * @access protected
     * @var string $version
     * 
     */
    protected $version;

    /**
     * The exiting version of ArtistPress before upgrade.
     * 
     * @since 1.2.2
     * @access protected
     * @var string  $existing_version
     * 
     */
    protected $existing_version;

    
    /**
     * Defines the core functionality of the ArtistPress Upgrader
     * 
     * @since 1.2.2
     * 
     */
    public function __construct(){
        if (defined('ARTISTPRESS_VERSION') ){
            $this->version = ARTISTPRESS_VERSION;
        }else{ 
            $this->version = '1.2.2';
        }
        $this->existing_version =   get_site_option( 'artistpress_version' , null );
        $this->plugin_name      =   'artistpress';
    }

    /**
	 * Runs the upgrade
	 * @access 	private
	 * @return 	string $address
     * 
	 */ 
    public function run_upgrade()
    {
        if ( $this->existing_version === null ) {
            require_once ( plugin_dir_path(__FILE__) . 'class-upgrader-1-2-2.php');
            $upgrade = new Upgrader_1_2_2;
            $upgrade->run_upgrade();
        }else{
            return;
        }

    }
}
