<?php
/**
 *  ArtistPress Artist Meta Box
 *
 *  @author     LTDI Studios
 *  @package    ArtistPress/views
 *  @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}


$prefix = 'artistpress_';
$fields = array(
    
    array( // Text Input
        'label' => 'Phone', // <label>
        'desc'  => 'Enter the best phone number for contacting the artist.', // description
        'id'    => $prefix.'artist_phone_number', // field id and name
        'type'  => 'tel' // type of field
    ),
    array( // Text Input
        'label' => 'Email Address', // <label>
        'desc'  => 'Enter the best email address for contacting the artist.', // description
        'id'    => $prefix.'artist_email_address', // field id and name
        'type'  => 'email' // type of field
    ),
    array( // Text Input
        'label' => 'Web Address', // <label>
        'desc'  => 'If the artist has a website enter the address here.', // description
        'id'    => $prefix.'artist_web_address', // field id and name
        'type'  => 'url' // type of field
    ),
    array( // Textarea
        'label' => 'Artist Bio', // <label>
        'desc'  => 'Enter the artist\'s bio or artist statement here.', // description
        'id'    => $prefix.'artist_bio', // field id and name
        'type'  => 'textarea' // type of field
    ),
);
/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to
 * var $js bool including javascript or not
 */
$gallery_meta_box = new custom_add_meta_box( 'artist_info', 'Artist Information', $fields, 'artist', true );