<?php
/**
 *  Post Type Custom Column Display
 *
 *  @author     LTDI Studios
 *  @package    ArtistPress/views
 *  @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

/**
 * Filters the ArtistPress post type columns to add Featured Image and ID
 *
 * @author      LTDI Studios
 * @since       1.0.0
 *
 */
function artistpress_custom_columns( $columns ) {
    $columns = array(
        'cb' => '<input type="checkbox" />',
        'title' => 'Title',
        'featured_image' => 'Image',
        'date' => 'Date',
        'id' => 'ID'
     );
    return $columns;
}
add_filter('manage_posts_columns' , 'artistpress_custom_columns');

/**
 * Add the data to the new ArtistPress post type columns
 *
 * @author      LTDI Studios
 * @since       1.0.0
 *
 */
function artistpress_custom_columns_data( $column, $post_id ) {
    switch ( $column ) {
        case 'featured_image':
            echo the_post_thumbnail( 'thumbnail' );
            break;
        case 'id':
            echo $post_id;
            break;
        }
}
add_action( 'manage_posts_custom_column' , 'artistpress_custom_columns_data', 10, 2 ); 