<?php
/**
 *  ArtistPress Dashboard
 *
 *  @author     LTDI Studios
 *  @package    ArtistPress/views
 *  @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}


/**
 * Displays the ArtistPress dashboard
 *
 * @author      LTDI Studios
 * @since       1.0.0
 *
 */

function artistpress_dashboard_function(){ ?>

    <div id="artistpress-dashboard" class="wrap">
        <div id="artistpress-dashboard-header">
            <span class="branding"></span>
            <span class="content">
            <h1>Turning your WordPress website into a robust tool for managing a professional art career.</h1>
            </span>
        </div>
        <div id="artistpress-dashboard-content">
            
            <div id="artistpress-dashboard-widget" class="artist">
                <span class="icon"></span>
                <h2>Provide artist contact info and bio about you.</h2>
                <p>ArtistPress allows you to add contact information and bio for one artist or band. With an upgrade to ArtistPress Community the one artist limit is removed, making it the perfect plugin for a record label, promoter/manager or event venue.</p>
            </div>
            <div id="artistpress-dashboard-widget" class="shows">
                <span class="icon"></span>
                <h2>Feature your shows in a professional event listing.</h2>
                <p>ArtistPress allows you to add information about event venues and shows/openings. With the use of a shortcode or built in page templates, you can display the shows in a professionally formated event listing.</p>
            </div>
            <div class="clear"></div>  
            <div id="artistpress-dashboard-widget" class="gallery">
                <span class="icon"></span>
                <h2>Highlight photos of your events or artwork.</h2>
                <p>ArtistPress allows you add unlimited images, galleries and albums to your website. The galleries can be displayed in a masonary or grid layout and have a lightbox featured built in.</p>
            </div>       
            <div id="artistpress-dashboard-widget" class="playlist">
                <span class="icon"></span>
                <h2>Playlists.</h2>
                <p>With a subscription to ArtistPress Pro you are provided with access to the playlist functionality allowing you to publish up to 5 playlists on your site using a simple shortcode. If you need more than 5 playlists, upgrade to ArtistPress Community. The five playlist limit is removed, allowing you to publish music to your hearts content.</p>
            </div>
            <div class="clear"></div>  
            <div id="artistpress-dashboard-widget" class="social">
                <span class="icon"></span>
                <h2>Get Social</h2>
                <p>With a subscription to ArtistPress Pro you are provided with access to the social sharing tool for sharing on leading social media networks.</p>
            </div> 
        </div>  
    </div>   
<?php } ?>